Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class CHPBinTable

    java.lang.Object
      org.apache.poi.hwpf.model.CHPBinTable

Direct Known Subclasses:
  OldCHPBinTable

    public class CHPBinTable

extends java.lang.Object

This class holds all of the character formatting properties.

Author:
  Ryan Ackley

Constructor Summary
`CHPBinTable()`
`CHPBinTable(byte[] documentStream, byte[] tableStream, int offset, int size, CharIndexTranslator translator)` Constructor used to read a binTable in from a Word document.
`CHPBinTable(byte[] documentStream, byte[] tableStream, int offset, int size, int fcMin, TextPieceTable tpt)` Deprecated. Use `CHPBinTable(byte[], byte[], int, int, CharIndexTranslator)` instead

Method Summary
`void` | `adjustForDelete(int listIndex, int offset, int length)`
`void` | `adjustForInsert(int listIndex, int length)`
`java.util.List` | `getTextRuns()`
`void` | `insert(int listIndex, int cpStart, SprmBuffer buf)`
`void` | `rebuild(ComplexFileTable complexFileTable)`
`void` | `writeTo(HWPFFileSystem sys, int fcMin, CharIndexTranslator translator)`
`void` | `writeTo(HWPFOutputStream wordDocumentStream, HWPFOutputStream tableStream, int fcMin, CharIndexTranslator translator)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CHPBinTable

    public CHPBinTable()

### CHPBinTable

    public CHPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       int offset,
                       int size,
                       int fcMin,
                       TextPieceTable tpt)

  Deprecated. Use `CHPBinTable(byte[], byte[], int, int, CharIndexTranslator)` instead

  Constructor used to read a binTable in from a Word document.

### CHPBinTable

    public CHPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       int offset,
                       int size,
                       CharIndexTranslator translator)

  Constructor used to read a binTable in from a Word document.

Method Detail

### rebuild

    public void rebuild(ComplexFileTable complexFileTable)

### adjustForDelete

    public void adjustForDelete(int listIndex,
                                int offset,
                                int length)

### insert

    public void insert(int listIndex,
                       int cpStart,
                       SprmBuffer buf)

### adjustForInsert

    public void adjustForInsert(int listIndex,
                                int length)

### getTextRuns

    public java.util.List getTextRuns()

### writeTo

    public void writeTo(HWPFFileSystem sys,
                        int fcMin,
                        CharIndexTranslator translator)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(HWPFOutputStream wordDocumentStream,
                        HWPFOutputStream tableStream,
                        int fcMin,
                        CharIndexTranslator translator)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD